import { connect } from 'react-redux';

import { getProfileAvatarUrl } from '../../../selectors/profile.js';

import UserProfileButton from './UserProfileButton.js';

const matchStateToProps = (state) => ({
  avatarUrl: getProfileAvatarUrl(state),
});

export default connect(matchStateToProps, null)(UserProfileButton);
